Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Enum OriginRetentionPolicyKind

    java.lang.Object
      java.lang.Enum<OriginRetentionPolicyKind>
          kieker.tools.traceAnalysis.filter.visualization.graph.OriginRetentionPolicyKind

All Implemented Interfaces:
  Serializable, Comparable<OriginRetentionPolicyKind>

    public enum OriginRetentionPolicyKind

extends Enum<OriginRetentionPolicyKind>

This enumeration contains origin retention policy kinds, i.e. types of origin retention policies. These policies are implemented by subtypes of `AbstractOriginRetentionPolicy`, this enum just serves as the basis for the order relation.

Since:
  1.6
Author:
  Holger Knoche

Enum Constant Summary
`ALL` Value to denote that all origins should be retained.
`NONE` Value to denote that no origins should be retained.
`SPECIFIC` Value to denote that only specific origins should be retained.

Method Summary
`static OriginRetentionPolicyKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OriginRetentionPolicyKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OriginRetentionPolicyKind NONE

  Value to denote that no origins should be retained.

### SPECIFIC

    public static final OriginRetentionPolicyKind SPECIFIC

  Value to denote that only specific origins should be retained.

### ALL

    public static final OriginRetentionPolicyKind ALL

  Value to denote that all origins should be retained.

Method Detail

### values

    public static OriginRetentionPolicyKind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OriginRetentionPolicyKind c : OriginRetentionPolicyKind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OriginRetentionPolicyKind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net